#!/bin/sh
PATH=/sbin:/usr/sbin:/bin:/usr/bin
TEXTDOMAIN=initscripts
#set null for normal operation, set true to spit out lots of messages

. ./network-functions

# 1st arg - ntp or wins
# 2nd arg - interface (can be "fallback")

DEVICE=$2
if [ -z $DEVICE ] ; then
    echo "Usage : [ntp|wins|dns] interface."
    exit 1
fi

case "$1" in
    ntp)
        remove_assigned_ntp $2
        restart_upnp
    ;;
    wins)
        remove_assigned_wins $2
        reread_samba_config
    ;;
    dns)
        remove_assigned_dns $2
    ;;
esac
